> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Location by External ID

> Delete a location by its commerce `external_id`.



## OpenAPI

````yaml delete /locations/external/{externalId}
openapi: 3.1.0
info:
  title: Locations API
  description: >-
    API for managing locations


    ### Resource identifier format


    Resource identifiers (the `id` field and related global-identifier fields)
    are returned as JSON

    integers by default. To receive them as strings instead, send the

    `X-Loop-Global-Identifier-Type: string` request header.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Locations
    description: Operations related to managing locations
paths:
  /locations/external/{externalId}:
    delete:
      tags:
        - Locations
      summary: Delete Location by External ID
      description: Delete a location by its commerce `external_id`.
      operationId: deleteLocationByExternalId
      parameters:
        - in: path
          name: externalId
          schema:
            type: string
            maxLength: 64
          required: true
          description: The identifier used by an external source to identify the location.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationDeleteByExternalIdResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
      security:
        - write: []
components:
  schemas:
    LocationDeleteByExternalIdResponse:
      type: object
      required:
        - id
        - external_id
        - success
      properties:
        id:
          type: integer
          format: int64
          description: The unique integer identifier for the location, created by Loop.
          examples:
            - 9007199254740991
        external_id:
          type: string
          description: The identifier used by an external source to identify the location.
        success:
          type: boolean
          description: Whether the location was successfully deleted.
          examples:
            - true
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
    NotFoundResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          examples:
            - Resource not found.
  securitySchemes:
    write:
      name: X-Authorization
      type: apiKey
      in: header
      description: 'API Scope: "Locations (write)"'

````